## org.apache.catalina.loader
Class WebappLoader.WebappContextNotifier

    java.lang.Object
      org.apache.catalina.loader.WebappLoader.WebappContextNotifier

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  WebappLoader

protected class WebappLoader.WebappContextNotifier
extends java.lang.Object
implements java.lang.Runnable

Private thread class to notify our associated Context that we have recognized the need for a reload.

Constructor Summary
`protected` `WebappLoader.WebappContextNotifier()`

Method Summary
`void` `run()` Perform the requested notification.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebappLoader.WebappContextNotifier

    protected WebappLoader.WebappContextNotifier()

Method Detail

### run

    public void run()

  Perform the requested notification.

  Specified by:
    `run` in interface `java.lang.Runnable`

Copyright ? 2000-2002 Apache Software Foundation. All Rights Reserved.